
import random
import requests

def fetch_random_github_repositories():
    # Fetch a random list of GitHub repositories
    url = 'https://api.github.com/search/repositories?q=stars:%3E1&sort=stars&order=desc'
    response = requests.get(url)
    data = response.json()
    return data['items']

def get_random_repository():
    # Get a random repository from the list
    repositories = fetch_random_github_repositories()
    return random.choice(repositories)

def get_random_language():
    # Define a list of programming languages
    languages = ['Python', 'JavaScript', 'Java', 'C++', 'Ruby', 'Go', 'PHP', 'Swift', 'C#', 'TypeScript']
    return random.choice(languages)

def generate_github_repository_info():
    # Get a random repository
    repository = get_random_repository()
    # Get a random programming language
    language = get_random_language()
    # Generate repository info
    repository_info = {
        'name': repository['name'],
        'url': repository['html_url'],
        'description': repository['description'] if repository['description'] else 'No description provided',
        'language': language
    }
    return repository_info

# Example usage
def main():
    repository_info = generate_github_repository_info()
    print(repository_info)

if __name__ == "__main__":
    main()


